Package org.apache.xmlbeans.impl.schema

## Class SchemaTypeSystemCompiler

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaTypeSystemCompiler

-     public class SchemaTypeSystemCompiler
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SchemaTypeSystemCompiler.Parameters` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaTypeSystemCompiler()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SchemaTypeSystemImpl` | `compile​(String name, SchemaTypeSystem existingSTS, XmlObject[] input, BindingConfig config, SchemaTypeLoader linkTo, Filer filer, XmlOptions options)` | Please do not invoke this method directly as the signature could change unexpectedly.
    `static SchemaTypeSystem` | `compile​(SchemaTypeSystemCompiler.Parameters params)` | Compiles a SchemaTypeSystem.
    `static boolean` | `generateTypes​(SchemaTypeSystem system, Filer filer, XmlOptions options)` | Generate java source files for a SchemaTypeSystem.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaTypeSystemCompiler

          public SchemaTypeSystemCompiler()

  - ### Method Detail

    - #### compile

          public static SchemaTypeSystem compile​(SchemaTypeSystemCompiler.Parameters params)

      Compiles a SchemaTypeSystem. Use XmlBeans.compileXmlBeans() if you can.

    - #### compile

          public static SchemaTypeSystemImpl compile​(String name,
                                                     SchemaTypeSystem existingSTS,
                                                     XmlObject[] input,
                                                     BindingConfig config,
                                                     SchemaTypeLoader linkTo,
                                                     Filer filer,
                                                     XmlOptions options)
                                              throws XmlException

      Please do not invoke this method directly as the signature could change unexpectedly. Use one of `XmlBeans.loadXsd(XmlObject[])`, `XmlBeans.compileXsd(XmlObject[], SchemaTypeLoader, XmlOptions)`, or `XmlBeans.compileXmlBeans(String, SchemaTypeSystem, XmlObject[], BindingConfig, SchemaTypeLoader, Filer, XmlOptions)`
      Throws:
        `XmlException`

    - #### generateTypes

          public static boolean generateTypes​(SchemaTypeSystem system,
                                              Filer filer,
                                              XmlOptions options)

      Generate java source files for a SchemaTypeSystem. Please do not invoke this method directly as the signature could change unexpectedly. Use `XmlBeans.compileXmlBeans(java.lang.String, org.apache.xmlbeans.SchemaTypeSystem, org.apache.xmlbeans.XmlObject[], org.apache.xmlbeans.BindingConfig, org.apache.xmlbeans.SchemaTypeLoader, org.apache.xmlbeans.Filer, org.apache.xmlbeans.XmlOptions)`
      Parameters:
        `system` - the SchemaTypeSystem to generated java source for
        `filer` - to create the java source files
        `options` - See `XmlOptions.setSchemaCodePrinter(org.apache.xmlbeans.SchemaCodePrinter)`
      Returns:
        true if saving the generated source succeeded.